function [MagOut,DirOut]=ConvertHFComponentsToSpeedDir(EastComponent,NorthComponent)
%
%  [MagOut,DirOut]=ConvertHFComponentsToSpeedDir(EastComponent,NorthComponent);
%
%  to convert speed components to magnitude and direction
%
%  this outpuuts as direction toward!
%
SerZ=EastComponent+(i*NorthComponent);
MagOut=abs(SerZ);
%%%%%  get directions
DirOut=(180/pi)*atan2(NorthComponent,EastComponent); %  atan2 goes from -180 to 180
    %  we need to get the directions clockwise from north now
temmark=find(DirOut>90);
DirOut(temmark)=DirOut(temmark)-360;
%
DirOut=90-DirOut;  % directions are now clockwise from north
%
return;
%
