%
LongRangeFile=fullfile('/Users/chrishalle/Documents/CODARData/Radials/BMLR/Matlab/Ideal/FirstOrderStats','BMLRFirstOrderStatsRadsIdealY2007M5.mat');
ShortRangeFile=fullfile('/Users/chrishalle/Documents/CODARData/Radials/BML1/Matlab/Ideal/FirstOrderStats','BML1FirstOrderStatsRadsIdealY2007M5.mat');
%
LongRangeMask=fullfile('/Users/chrishalle/Documents/CODARData/Radials/MaskInfo','BMLRRadialMaskPReyesShadow.txt');
ShortRangeMask=fullfile('/Users/chrishalle/Documents/CODARData/Radials/MaskInfo','BMLRadMaskIn.txt');
%
CoastFile=fullfile('/Users/chrishalle/Documents/CODARData/Totals/PSURToPAFS/ProcessingInfo','PSURToPAFSCoast.mat');
%
LRMask=load(LongRangeMask);
SRMask=load(ShortRangeMask);
NewRes=2;
MaxRangeDiff=10;
GridSlop=0.5;
%
load(LongRangeFile);
RcatLongRange=Rcat;
clear Rcat
%
load(ShortRangeFile);
RcatStandardRange=Rcat;
clear Rcat
%
[NumPts,NumTimes]=size(RcatLongRange.U);
RcatLongRange=subsrefRADIAL(RcatLongRange,[1:NumPts],[1:2],'false');
%
[NumPts,NumTimes]=size(RcatStandardRange.U);
RcatStandardRange=subsrefRADIAL(RcatStandardRange,[1:NumPts],[1:3],'false');
%
[RcatOut]=CombineSRAndLRRadials(RcatLongRange,RcatStandardRange,LRMask,SRMask,NewRes,MaxRangeDiff,GridSlop);
%
%  works to here
%
IndexAllToPlot=[2 3];
IndexLRToPlot=[2 NaN];  % no common time 3 in LR data
IndexSRToPlot=[2 3];
%
LonLimsToPlot=[-124.5 -122.8];
LatLimsToPlot=[37.6 39];
%
TemFigHandle=figure;
subplot(2,2,1)
plotBasemap(LonLimsToPlot,LatLimsToPlot,CoastFile,'lambert','patch',[0.5 0.5 0.5]);
hold
[handles,TimeIndex] = plotData(RcatOut,'m_vec',IndexAllToPlot(1),0.008);
caxis([0 70])
title('combined data')
subplot(2,2,2)
plotBasemap(LonLimsToPlot,LatLimsToPlot,CoastFile,'lambert','patch',[0.5 0.5 0.5]);
hold
[handles,TimeIndex] = plotData(RcatStandardRange,'m_vec',IndexSRToPlot(1),0.008);
caxis([0 70])
title('standard range')
subplot(2,2,3)
plotBasemap(LonLimsToPlot,LatLimsToPlot,CoastFile,'lambert','patch',[0.5 0.5 0.5]);
hold
[handles,TimeIndex] = plotData(RcatLongRange,'m_vec',IndexLRToPlot(1),0.008);
caxis([0 70])
title('long range')
%
%  now plot the other time
%
TemFigHandle=figure;
subplot(2,2,1)
plotBasemap(LonLimsToPlot,LatLimsToPlot,CoastFile,'lambert','patch',[0.5 0.5 0.5]);
hold
[handles,TimeIndex] = plotData(RcatOut,'m_vec',IndexAllToPlot(2),0.008);
caxis([0 70])
title('combined data')
subplot(2,2,2)
plotBasemap(LonLimsToPlot,LatLimsToPlot,CoastFile,'lambert','patch',[0.5 0.5 0.5]);
hold
[handles,TimeIndex] = plotData(RcatStandardRange,'m_vec',IndexSRToPlot(2),0.008);
caxis([0 70])
title('standard range')
%

